package com.qmth.teachcloud.common.bean.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 菜单权限dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/7/28
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class MenuPrivilegeDto extends MenuDto implements Serializable {

    @ApiModelProperty(value = "url权限集合")
    List<MenuDto> urls;

    @ApiModelProperty(value = "按钮权限集合")
    List<MenuDto> buttons;

    @ApiModelProperty(value = "链接权限集合")
    List<MenuDto> links;

    @ApiModelProperty(value = "数据列表权限集合")
    List<MenuDto> lists;

    @ApiModelProperty(value = "查询列表权限集合")
    List<MenuDto> conditions;

    public List<MenuDto> getUrls() {
        return urls;
    }

    public void setUrls(List<MenuDto> urls) {
        this.urls = urls;
    }

    public List<MenuDto> getButtons() {
        return buttons;
    }

    public void setButtons(List<MenuDto> buttons) {
        this.buttons = buttons;
    }

    public List<MenuDto> getLinks() {
        return links;
    }

    public void setLinks(List<MenuDto> links) {
        this.links = links;
    }

    public List<MenuDto> getLists() {
        return lists;
    }

    public void setLists(List<MenuDto> lists) {
        this.lists = lists;
    }

    public List<MenuDto> getConditions() {
        return conditions;
    }

    public void setConditions(List<MenuDto> conditions) {
        this.conditions = conditions;
    }
}
